Create Protocol
curl --request POST \
--url https://cloudlab.scispot.io/labspace/protocol/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"location": "<string>",
"description": "<string>",
"template": "<string>",
"templateId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"hrid": "<string>",
"steps": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
location: '<string>',
description: '<string>',
template: '<string>',
templateId: '<string>',
startDate: '<string>',
endDate: '<string>',
hrid: '<string>',
steps: ['<string>']
})
};
fetch('https://cloudlab.scispot.io/labspace/protocol/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/labspace/protocol/new"
payload = {
"name": "<string>",
"location": "<string>",
"description": "<string>",
"template": "<string>",
"templateId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"hrid": "<string>",
"steps": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"uuid": "<string>",
"name": "<string>",
"hrid": "<string>"
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Not found"
}{
"success": false,
"message": "Conflict"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}Create
Create Protocol
Create protocol inside a labspace, folder or a subfolder
Note: Labspace, Folder, and Subfolder names should not contain the colon (:) character.
Validation notes: provide at least one of labspace, folder.
POST
https://cloudlab.scispot.io
/
labspace
/
protocol
/
new
Create Protocol
curl --request POST \
--url https://cloudlab.scispot.io/labspace/protocol/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"location": "<string>",
"description": "<string>",
"template": "<string>",
"templateId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"hrid": "<string>",
"steps": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
location: '<string>',
description: '<string>',
template: '<string>',
templateId: '<string>',
startDate: '<string>',
endDate: '<string>',
hrid: '<string>',
steps: ['<string>']
})
};
fetch('https://cloudlab.scispot.io/labspace/protocol/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/labspace/protocol/new"
payload = {
"name": "<string>",
"location": "<string>",
"description": "<string>",
"template": "<string>",
"templateId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"hrid": "<string>",
"steps": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"uuid": "<string>",
"name": "<string>",
"hrid": "<string>"
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Not found"
}{
"success": false,
"message": "Conflict"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}Authorizations
Personal access token from Scispot Account → Personal Tokens
Body
application/json
⌘I
